Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class Helper

    java.lang.Object
      weblogic.management.Helper

Deprecated.

    public final class Helper

extends Object

A utility class that simplifies acquiring the MBeanHome object for either the entire adminstrative domain or for a particular managed server.

The URL that is specified is used to acquire the JNDI InitialContext from which the MBeanHome will be acquired.

See Also:
  `MBeanHome`

Constructor Summary
`Helper()` Deprecated.

Method Summary
`static MBeanHome` | `getAdminMBeanHome(String user, String password, String adminServerURL)` Deprecated. Returns the MBeanHome for the entire administrative domain.
`static MBeanHome` | `getMBeanHome(String user, String password, String serverURL, String serverName)` Deprecated. Returns the regular MBeanHome of the server specified.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Helper

    public Helper()

  Deprecated.

Method Detail

### getAdminMBeanHome

    public static final MBeanHome getAdminMBeanHome(String user,
                                                    String password,
                                                    String adminServerURL)
                                             throws IllegalArgumentException

  Deprecated.
  Returns the MBeanHome for the entire administrative domain. This differs from the getMBeanHome method which returns the MBeanHome for a particular server instance.

  Parameters:
    `user` - the id for a user which has authorization to find the MBeanHome on the admin server
    `password` - for the specified user
    `adminServerURL` - The URL used to acquire the InitialContext
  Returns:
    The MBeanHome for the entire administrative Domain
  Throws:
    `IllegalArgumentException` - if any of the arguments are null or invalid

### getMBeanHome

    public static final MBeanHome getMBeanHome(String user,
                                               String password,
                                               String serverURL,
                                               String serverName)
                                        throws IllegalArgumentException

  Deprecated.
  Returns the regular MBeanHome of the server specified.

  Parameters:
    `user` - the id for a user which has authorization to find the MBeanHome on the admin server
    `password` - for the specified user.
    `serverName` - name of the target server as defined in the domain configuration.
    `serverURL` - the URL used to acquire the InitialContext. The URL must either be that of the Adminstration server or the managed server that is specified in the serverName
  Returns:
    The MBeanHome for the serverName specified.
  Throws:
    `IllegalArgumentException` - if any of the arguments are null or invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD